<template>
	<view class="page">
		<view class="form">
			<u-form :model="form" ref="uForm">
				<u-form-item label-width="150" label="修改头像" prop="nickname" @click.native="pageTo('/pages/user/setting/avatar')">
					<u-icon name="arrow-right" style="float: right;" size="24" label="请选择" labelPos="left"></u-icon>
				</u-form-item>
				<u-form-item label-width="150" label="昵称" prop="nickname">
					<u-input placeholder="请输入昵称" v-model="form.nickname" inputAlign="right" type="text"></u-input>
				</u-form-item>
			</u-form>
			<u-gap height="60"></u-gap>
			<u-button type="primary" @click="submitHandle">提交</u-button>
			<u-gap></u-gap>
		</view>
		<!-- utoast -->
		<u-toast ref="uToast" />
	</view>
</template>
<script>
var that;
export default {
	data() {
		return {
			maskShow: false,
			form: {
				nickname: null,
			},
			rules: {
				nickname: [
					{
						required: true,
						message: '昵称不得为空',
						trigger: ['change', 'blur']
					},
				],
			},
		};
	},
	onLoad(params) {
		const userInfo2 = uni.getStorageSync('MD_userInfo2')
		this.form.nickname = userInfo2.nickname
	},
	// 必须要在onReady生命周期，因为onLoad生命周期组件可能尚未创建完毕
	onReady() {
		this.$refs.uForm.setRules(this.rules);
	},
	methods: {
		pageTo(path) {
			// console.log(path)
			if (path === 'dev') {
				uni.$msg('开发中~')
				return
			}
			uni.navigateTo({
				url: path
			})
		},
		submitHandle() {
			this.$refs.uForm.validate(valid => {
				if (valid) {
					uni.api.base.apiuseredit({
						nickname: this.form.nickname
					}).then(res => {
						uni.$msg('修改成功~')
					})
				}
			})
		}
	}
};
</script>
<style lang="scss">
.page {
	background-color: #ffffff;
}

.form {
	border-radius: 10rpx;
	padding: 0 40rpx;
}

.popup-body {
	.tips-title {
		font-size: $u-p;
		margin-bottom: 20rpx;
	}

	.tips-content {
		font-size: $u-p2;
		color: $u-tips-color;
		margin-bottom: 60rpx;
	}
}

.id_card {
	color: #606266;
	width: 100%;
	height: 350rpx;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background-color: #f4f5f6;
	font-size: $u-p2;
	border-radius: 10rpx;

	image {
		border-radius: 10rpx;
	}
}

.footer {
	position: relative;
	text-align: center;
	font-size: $u-p2;
	left: 0;
	bottom: 20rpx;
	.agreement {
		color: $u-theme-color;
	}
}

.slot-content {
	font-size: 28rpx;
	color: $u-content-color;
	padding: 20rpx;
}

.warp {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	height: 100%;
}

.rect {
	width: 400rpx;
	height: 400rpx;
	background-color: #fff;
}
</style>
